#
# spec file for package recidivm
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           recidivm
Version:        0.1.4
Release:        lp150.1.1
Summary:        Tool for estimating peak virtual memory use
License:        MIT
Group:          Development/Tools/Other
Url:            http://jwilk.net/software/recidivm
Source:         https://github.com/jwilk/recidivm/releases/download/%{version}/recidivm-%{version}.tar.gz
Source1:        https://github.com/jwilk/recidivm/releases/download/%{version}/recidivm-%{version}.tar.gz.asc
Source2:        %{name}.keyring
BuildRequires:  gcc

%description
recidivm estimates the target program's peak virtual memory use by running it multiple times with different memory limits.

%prep
%setup -q

%build
make %{?_smp_mflags}

%install
%make_install PREFIX=%{_prefix}

%check
make %{?_smp_mflags} test

%files
%doc doc/changelog
%license doc/LICENSE
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1%{?ext_man}

%changelog
* Mon Mar 12 2018 sebix+novell.com@sebix.at
- update to version 0.1.4:
  * Don't allow mixing options with positional arguments.
* Wed Nov  8 2017 sebix+novell.com@sebix.at
- update to version 0.1.3:
  * build system improvements
* Tue Sep 26 2017 sebix+novell.com@sebix.at
- remove source verification with gpg-offline
* Sun Sep 24 2017 sebix+novell.com@sebix.at
- update to 0.1.2
  * In the first step, set virtual memory limit to 32 TiB (slightly above the
  typical usage for 64-bit ASan-ed programs).
  On x86, this should reduce the number of execs by 2 for virtually all
  target programs.
  * Round virtual memory limit to (at least) page size.
  On x86, this could reduce the number of execs by 12 (for “-u B”)
  or by 2 (for “-u K”).
  * Put license into a separate file.
  https://github.com/jwilk/recidivm/issues/1
  * Use LFS_LDFLAGS and LFS_LIBS in addition to LFS_CFLAGS.
  * Fix GCC 7 compiler warnings.
* Sat Sep 23 2017 sebix+novell.com@sebix.at
- initial package for version 0.1.1
